ranges::actions::remove_if_fn Struct Reference

## Synopsis of methods

constexpr remove_if_fn | remove_if {}

## Public Member Functions

template<typename C , typename P = identity>
constexpr auto | operator() (C pred, P proj=P{}) const requires(!range< C >)
template<typename Rng , typename C , typename P = identity>
auto | operator() (Rng &&rng, C pred, P proj=P{}) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, iterator_t< Rng >> &&permutable< iterator_t< Rng >> &&indirect_unary_predicate< C, projected< iterator_t< Rng >, P >>

## Methods

## remove_if

constexpr remove_if_fn remove_if {}

related